For the complete documentation index, see llms.txt. This page is also available as Markdown.

User key token

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.

Requesting tokens

To receive your required access token, make a request to the /user-key-token endpoint by adding the following parameters using the application/x-www-form-urlencoded format with a character encoding of UTF-8 in the HTTP request body.

POST https://auth.<env>.citrusad.com/v2/user-key-token
Content-Type: application/x-www-form-urlencoded
user_key=<USER_KEY>

You will receive a response with an accessToken,expiresIn, and tokenType.

{
    "accessToken": "ACCESS_TOKEN",
    "expiresIn": 84000,
    "tokenType": "Bearer"
}

Your access token is used to access the Epsilon Retail Media API.

Refresh token

When your access token expires, you will receive an invalid token error from the campaign API. In this case, you will make a request to the /token endpoint with your refresh token as illustrated in the diagram below:

Authentication refresh flow.png

Usually, a user will only need a new access token when the previous one expires, or when they gain or lose access to resources that are attached to their claims. It is bad practice to call the endpoint to get a new access token for every request to our API.